[android-components](../../index.md) / [mozilla.components.service.fretboard.storage.flatfile](../index.md) / [FlatFileExperimentStorage](index.md) / [save](./save.md)

# save

`fun save(snapshot: `[`ExperimentsSnapshot`](../../mozilla.components.service.fretboard/-experiments-snapshot/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/storage/flatfile/FlatFileExperimentStorage.kt#L36)

Overrides [ExperimentStorage.save](../../mozilla.components.service.fretboard/-experiment-storage/save.md)

Stores the given experiments to disk

### Parameters

`experiments` - list of experiments to store